るりまサーチ

最速Rubyリファレンスマニュアル検索!
438件ヒット [1-100件を表示] (0.023秒)

別のキーワード

  1. _builtin raise
  2. kernel raise
  3. tk raise_window
  4. e2mmap raise
  5. exception2messagemapper raise

ライブラリ

キーワード

検索結果

<< 1 2 3 ... > >>

Kernel.#raise -> () (15134.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...在しないが自身は捕捉されている時には例外 RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise
#=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持...
...レースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。

例外の捕捉の例を示します。

#例1
begin
raise
NameError,"!!e...
...e NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise
"error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in en...

Kernel.#raise(error_type, message = nil, backtrace = caller(0)) -> () (15134.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...在しないが自身は捕捉されている時には例外 RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise
#=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持...
...レースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。

例外の捕捉の例を示します。

#例1
begin
raise
NameError,"!!e...
...e NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise
"error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in en...

Kernel.#raise(message) -> () (15134.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...在しないが自身は捕捉されている時には例外 RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise
#=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持...
...レースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。

例外の捕捉の例を示します。

#例1
begin
raise
NameError,"!!e...
...e NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise
"error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in en...

Kernel.#fail -> () (34.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...在しないが自身は捕捉されている時には例外 RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise
#=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持...
...レースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。

例外の捕捉の例を示します。

#例1
begin
raise
NameError,"!!e...
...e NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise
"error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in en...

Kernel.#fail(error_type, message = nil, backtrace = caller(0)) -> () (34.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...在しないが自身は捕捉されている時には例外 RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise
#=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持...
...レースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。

例外の捕捉の例を示します。

#例1
begin
raise
NameError,"!!e...
...e NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise
"error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in en...

絞り込み条件を変える

Kernel.#fail(message) -> () (34.0)

例外を発生させます。 発生した例外は変数 $! に格納されます。また例外が 発生した時のスタックトレースは変数 $@ に格納され ます。発生した例外は rescue 節で捕捉できます。

...在しないが自身は捕捉されている時には例外 RuntimeError を発生させます。

begin
open("nonexist")
rescue
raise
#=> `open': No such file or directory - "nonexist" (Errno::ENOENT)
end

引数を渡した場合は、例外メッセージ message を持...
...レースで、Kernel.#caller の戻り値と同じ
形式で指定しなければいけません。
@raise TypeError exception メソッドが例外オブジェクトを返さなかった場合に発生します。

例外の捕捉の例を示します。

#例1
begin
raise
NameError,"!!e...
...e NameError => err
rescue TypeError => err
ensure
p err #=> #<NameError: !!error!!>
end

#例2
def foo num
print 'in method.'
raise
"error!!" if num <= 9
rescue RuntimeError
num += 10
print 'in rescue.'
retry
else
print 'in else.'
ensure
print "in en...

Kernel.#BigDecimal(s) -> BigDecimal (25.0)

引数 s で指定した値を表す BigDecimal オブジェクトを生成します。

...param n 有効桁数を整数で指定します。

@raise TypeError s に 文字列、Fixnum、Bignum、Float、
Rational、BigDecimal 以外のオブジェクトを
指定した場合に発生します。

@raise TypeError n に Fixnum 以外のオブジェクト...
...を指定した場合に発
生します。

@raise ArgumentError s に Float オブジェクトを指定し、n に
Float::DIG + 2 以上の値を指定した場合に発生します。
また、s に Float、Rational オブジェク...
...トを指定し、n を省略した場合に発生します。

@raise ArgumentError n に負の数を指定した場合に発生します。

@see BigDecimal.new...

Kernel.#BigDecimal(s, n) -> BigDecimal (25.0)

引数 s で指定した値を表す BigDecimal オブジェクトを生成します。

...param n 有効桁数を整数で指定します。

@raise TypeError s に 文字列、Fixnum、Bignum、Float、
Rational、BigDecimal 以外のオブジェクトを
指定した場合に発生します。

@raise TypeError n に Fixnum 以外のオブジェクト...
...を指定した場合に発
生します。

@raise ArgumentError s に Float オブジェクトを指定し、n に
Float::DIG + 2 以上の値を指定した場合に発生します。
また、s に Float、Rational オブジェク...
...トを指定し、n を省略した場合に発生します。

@raise ArgumentError n に負の数を指定した場合に発生します。

@see BigDecimal.new...

Kernel.#putc(ch) -> object (25.0)

文字 ch を 標準出力 $stdout に出力します。

...return ch を返します
@raise RangeError Bignum を引数にした場合に発生します。
@raise IOError 標準出力が書き込み用にオープンされていなければ発生します。
@raise Errno::EXXX 出力に失敗した場合に発生します。
@raise TypeError Integer に変...

Kernel.#Integer(arg, base = 0) -> Integer (19.0)

引数を整数(Fixnum,Bignum)に変換した結果を返します。

...数)、0 (8 進数)、0o (8 進数)、0d (10 進数)、0x (16 進
数) です。

@raise ArgumentError 整数と見なせない文字列を引数に指定した場合に発生します。
@raise TypeError メソッド to_int, to_i を持たないオブジェクトを引数に指定した...
...か、to_int, to_i
が整数(Integerのサブクラス)を返さなかった場合に発生します。
@raise TypeError 引数に nil を指定した場合に発生します。

p Integer(4) #=> 4
p Integer(4_000) #=> 4000
p Integer(9.88) #=> 9

p Integer(n...

絞り込み条件を変える

Kernel.#printf(format, *arg) -> nil (19.0)

C 言語の printf と同じように、format に従い引数を文字列に変 換して port に出力します。

...列の拡張については
Kernel
.#sprintfの項を参照してください。

@param port 出力先になるIO のサブクラスのインスタンスです。
@param format フォーマット文字列です。
@param arg フォーマットされる引数です。
@raise ArgumentError port を指...
...定したのに format を省略した場合に発生します。
@raise IOError port が書き込み用にオープンされていなければ発生します。
@raise Errno::EXXX 出力に失敗した場合に発生します。

printf("calculate%3s%-6s%.15f", 'PI', '...', Math::PI)
#=> calc...
...' 123'"
printf("%1$*2$s %2$d %1$s", "hello", 8) #=> " hello 8 hello"
printf("%1$*2$s %2$d", "hello", -8) #=> "hello -8"
printf("%+g:% g:%-g", 1.23, 1.23, 1.23) #=> "+1.23: 1.23:1.23"
printf("%u", -123) #=> "..4294967173"

@see Kernel.#sprintf,IO#printf...

Kernel.#printf(port, format, *arg) -> nil (19.0)

C 言語の printf と同じように、format に従い引数を文字列に変 換して port に出力します。

...列の拡張については
Kernel
.#sprintfの項を参照してください。

@param port 出力先になるIO のサブクラスのインスタンスです。
@param format フォーマット文字列です。
@param arg フォーマットされる引数です。
@raise ArgumentError port を指...
...定したのに format を省略した場合に発生します。
@raise IOError port が書き込み用にオープンされていなければ発生します。
@raise Errno::EXXX 出力に失敗した場合に発生します。

printf("calculate%3s%-6s%.15f", 'PI', '...', Math::PI)
#=> calc...
...' 123'"
printf("%1$*2$s %2$d %1$s", "hello", 8) #=> " hello 8 hello"
printf("%1$*2$s %2$d", "hello", -8) #=> "hello -8"
printf("%+g:% g:%-g", 1.23, 1.23, 1.23) #=> "+1.23: 1.23:1.23"
printf("%u", -123) #=> "..4294967173"

@see Kernel.#sprintf,IO#printf...

Kernel.#set_trace_func(proc) -> Proc (19.0)

Ruby インタプリタのイベントをトレースする Proc オブジェクトとして 指定された proc を登録します。 nil を指定するとトレースがオフになります。

...ラス定義、モジュール定義への突入。
"end": クラス定義、特異クラス定義、モジュール定義の終了。
"raise": 例外の発生。
//}
: file
実行中のプログラムのソースファイル名 (文字列)。

: line
実行中のプログラムの...
...turn/c-call/c-return
呼び出された/リターンするメソッドを表す Symbol オブジェクト。
class/end
nil。
raise

最後に呼び出されたメソッドを表す Symbol オブジェクト。
トップレベルでは nil。
//}
: binding
...
...func lambda {|*arg|
p arg
}
class Foo
end
43.to_s

# ----結果----
# ["c-return", "..", 1, :set_trace_func, #<Binding:0xf6ceb8>, Kernel]
# ["line", "..", 4, nil, #<Binding:0x10cbcd8>, nil]
# ["c-call", "..", 4, :inherited, #<Binding:0x10cba98>, Class]
# ["c-return", "..", 4,...

Kernel$$@ -> [String] | nil (17.0)

最後に例外が発生した時のバックトレースを表す配列です。 Kernel.#raise によって設定されます。

...トレースを表す配列です。
Kernel
.#raise によって設定されます。

配列の各要素はメソッドの呼び出し位置を示す文字列で形式は

"filename:line"

または

"filename:line:in `methodname'"

です。これは Kernel.#caller が返す値と同じ形式...

Kernel.#spawn(command, options={}) -> Integer (15.0)

引数を外部コマンドとして実行しますが、生成した 子プロセスの終了を待ち合わせません。生成した子プロセスのプロセスIDを返します。

...表す Hash
@param options オプションパラメータ Hash
@raise Errno::EXXX 起動に失敗し、ruby インタプリタに制御が戻った場合に発生します。

@raise Errno::EXXX コマンドが実行できなかった場合に発生します。


@see Kernel.#system,Kernel.#exec...

絞り込み条件を変える

Kernel.#spawn(env, command, options={}) -> Integer (15.0)

引数を外部コマンドとして実行しますが、生成した 子プロセスの終了を待ち合わせません。生成した子プロセスのプロセスIDを返します。

...表す Hash
@param options オプションパラメータ Hash
@raise Errno::EXXX 起動に失敗し、ruby インタプリタに制御が戻った場合に発生します。

@raise Errno::EXXX コマンドが実行できなかった場合に発生します。


@see Kernel.#system,Kernel.#exec...

Kernel.#spawn(env, program, *args, options={}) -> Integer (15.0)

引数を外部コマンドとして実行しますが、生成した 子プロセスの終了を待ち合わせません。生成した子プロセスのプロセスIDを返します。

...列を指定します。
@param options オプションパラメータ Hash

@raise ArgumentError 第一引数が配列かつ要素数が 2 でない場合に発生します。

@raise Errno::EXXX コマンドが実行できなかった場合に発生します。

@see Kernel.#system,Kernel.#exec...
<< 1 2 3 ... > >>